#pragma once

#include "VideoAdvListCtrl.h"



class CSystemConfiguration;



class CVideoAdvCustomEditPage : public CPropertyPage
{
public:
	CVideoAdvCustomEditPage( const CVarVector& colCVars, CSystemConfiguration& kSysConfig );
	virtual ~CVideoAdvCustomEditPage();

	virtual BOOL OnInitDialog();

	void UpdateSystemConfig();

protected:
	virtual void DoDataExchange( CDataExchange* pDX );

	DECLARE_MESSAGE_MAP()

private:
	DECLARE_DYNAMIC( CVideoAdvCustomEditPage )

private:
	CEdit m_kCVarDescCtrl;
	CVideoAdvListCtrl m_kCVarListCtrl;
};
